/*
 * ph_comb.h
 * some combined processing functions for loopback tests
 *
 *  Created on: Jan 25, 2022
 *      Author: Irene Hu
 */

#ifndef PH_COMB_H_
#define PH_COMB_H_

#include "ph_back.h"
#include "ph_front.h"
#include "adv.h"

void phc_comm_test(void);
int phc_measOnce(struct pH_ptdata *pHDatStruct);
int phc_measCont(double measFreq_Hz, double measDuration_min, char* fn_append, int txFlg);
int phc_ec(double measDuration_min, char* fn_append);

#endif /* PH_COMB_H_ */
